import { boot } from 'quasar/wrappers'
import pnPageCard from 'components/pnPageCard.vue'
import pnScrollList from 'components/pnScrollList.vue'
import pnAutoAvatar from 'components/pnAutoAvatar.vue'
import pnOverlay from 'components/pnOverlay.vue'
import pnMagicOverlay from 'components/pnMagicOverlay.vue'
import pnImageSelector from 'components/pnImageSelector.vue'
import pnAccountBlockName from 'components/pnAccountBlockName.vue'

export default boot(async ({ app }) => { // eslint-disable-line
  app.component('pnPageCard', pnPageCard)
  app.component('pnScrollList', pnScrollList)
  app.component('pnAutoAvatar', pnAutoAvatar)
  app.component('pnOverlay', pnOverlay)
  app.component('pnMagicOverlay', pnMagicOverlay)
  app.component('pnImageSelector', pnImageSelector)
  app.component('pnAccountBlockName', pnAccountBlockName)
})
